{
	"*navbar": {
		"linksReferences": [
			"view-category",
			"contact-us",
			"home"
		]
	},
	"*unlogged": {
		"linksReferences": [
			"signin",
			"register",
			"first-add-to-cart"
		]
	},
	"*loggedin": {
		"linksReferences": [
			"logout",
			"billing-information",
			"change-password",
			"recent-orders",
			"add-to-cart",
			"remove-from-cart"
		]
	},
	"root": {
		"linksReferences": [
			"**navbar",
			"**unlogged",
			"view-product"
		]
	},
	"home": {
		"method": "GET",
		"URL": "http://localhost:8080/shop",
		"linksReferences": [
			"**navbar",
			"**unlogged"
		]
	},
	"signin": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/customer/logon.html",
		"data": "userName=usern${1-9}&password=usern1&storeCode=DEFAULT",
		"storeCookies": [
			"JSESSIONID"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin"
		]
	},
	"register": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/customer/register.html",
		"data": "billing.firstName=${1-9999}&billing.lastName=${1-9999}&gender=<M|F>&billing.country=<CA|UK|BR>&billing.zone=QC&billing.stateProvince=QC&userName=usern${1-9999}&emailAddress=${1-9999}@mail.com&password=usern1&checkPassword=usern1&register=Register",
		"storeCookies": [
			"JSESSIONID"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin"
		]
	},
	"view-product": {
		"method": "GET",
		"URL": "http://localhost:8080/shop/product/${1-6}.html",
		"linksReferences": [
			"**navbar",
			"**unlogged",
			"add-to-cart"
		]
	},
	"first-add-to-cart": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/cart/addShoppingCartItem",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}; Content-Type: application/json",
		"data": "{\"quantity\":${1-100},\"productId\":${1-6}}",
		"storeFields": [
			"code"
		],
		"requirementsReferences": [
			"signin"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin",
			"view-product",
			"add-to-cart",
			"remove-from-cart"
		]
	},
	"add-to-cart": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/cart/addShoppingCartItem",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}; Content-Type: application/json",
		"data": "{\"code\":\"#{code}\",\"quantity\":${1-100},\"productId\":${1-6}}",
		"requirementsReferences": [
			"first-add-to-cart",
			"signin"
		],
		"linksReferences": [
			"*first-add-to-cart"
		]
	},
	"remove-from-cart": {
		"method": "GET",
		"URL": "http://localhost:8080/shop/cart/removeMiniShoppingCartItem?lineItemId=${1-6}&shoppingCartCode=#{code}",
		"requirementsReferences": [
			"first-add-to-cart",
			"signin"
		],
		"linksReferences": [
			"*add-to-cart"
		]
	},
	"view-category": {
		"method": "GET",
		"URL": "http://localhost:8080/shop/category/<computer-books|business>.html",
		"linksReferences": [
			"**navbar",
			"**loggedin"
		]
	},
	"contact-us": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/store/DEFAULT/contact",
		"data": "name=${1-9999}&email=${1-9999}&subject=${1-9999}&comment=${1-9999}",
		"linksReferences": [
			"**navbar",
			"**unlogged"
		]
	},
	"logout": {
		"method": "GET",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}",
		"URL": "http://localhost:8080/shop/customer/logout",
		"requirementsReferences": [
			"signin"
		],
		"linksReferences": [
			"*root"
		]
	},
	"billing-information": {
		"method": "GET",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}",
		"URL": "http://localhost:8080/shop/customer/billing.html",
		"requirementsReferences": [
			"signin"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin",
			"add-address"
		]
	},
	"add-address": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/customer/updateAddress.html",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}",
		"data": "customerId=${1-9}&billingAddress=<true|false>&firstName=${1-9999}&lastName=${1-9999}&company=${1-9999}&address=${1-9999}&city=${1-9999}&country=<CA|UK|BR|>&stateProvince=QC&postalCode=J4B-8J$999{1-9}&phone=${1-9999}&submitAddress=Change+address",
		"requirementsReferences": [
			"signin"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin"
		]
	},
	"change-password": {
		"method": "POST",
		"URL": "http://localhost:8080/shop/customer/changePassword.html",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}",
		"data": "currentPassword=usern1&password=usern1&checkPassword=usern1",
		"requirementsReferences": [
			"signin"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin"
		]
	},
	"recent-orders": {
		"method": "GET",
		"URL": "http://localhost:8080/shop/customer/orders.html",
		"headers": "Cookie: JSESSIONID=#{JSESSIONID}",
		"requirementsReferences": [
			"signin"
		],
		"linksReferences": [
			"**navbar",
			"**loggedin"
		]
	}
}